summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorharre2021-08-18 01:23:48 +0200
committerharre2021-08-18 01:23:48 +0200
commitf1df8956d344372134ee03a1e9c33c9666ce0895 (patch)
tree6be8e94e2e12478ca5f4740cc9538e07379ffef0
parent78c7a5d16e02265dba12e9286b1b27990b86f729 (diff)
downloadaur-f1df8956d344372134ee03a1e9c33c9666ce0895.tar.gz
Fix stopping compile warning until upstream does proper fix
https://gitlab.com/pholy/OSCAR-code/-/merge_requests/532?patch
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD3
-rw-r--r--fix-misleading-indentations.patch13
3 files changed, 16 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 170ab9c7995..bcfad1e8c22 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = oscar-git
pkgdesc = Open-source, cross platform, sleep tracking software with a focus on monitoring CPAP treatment. Fork of the sleepyhead project.
- pkgver = ..r3560.d88084a3
+ pkgver = ..r3832.3ecce663
pkgrel = 1
url = https://gitlab.com/pholy/OSCAR-code
arch = i686
@@ -18,4 +18,3 @@ pkgbase = oscar-git
sha256sums = 6b2f735622f218e2ac5ef61475886fadfeeedd5f15b04fa0d54451162ee394ad
pkgname = oscar-git
-
diff --git a/PKGBUILD b/PKGBUILD
index aa1023fc33a..476df7054f2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
# Contributor: Jason Lenz <Jason@Lenzplace.org>
_pkgname=oscar
pkgname=oscar-git
-pkgver=..r3761.aec02b14
+pkgver=..r3832.3ecce663
pkgrel=1
pkgdesc="Open-source, cross platform, sleep tracking software with a focus on monitoring CPAP treatment. Fork of the sleepyhead project."
arch=('i686' 'x86_64')
@@ -38,6 +38,7 @@ pkgver() {
build() {
cd OSCAR-code
+ git apply ../../*.patch || echo "No patches found"
qmake OSCAR_QT.pro
make -j$(cat /proc/cpuinfo | awk '/^processor/{print $3}' | wc -l)
}
diff --git a/fix-misleading-indentations.patch b/fix-misleading-indentations.patch
new file mode 100644
index 00000000000..04e4c999bbe
--- /dev/null
+++ b/fix-misleading-indentations.patch
@@ -0,0 +1,13 @@
+diff --git a/oscar/SleepLib/session.cpp b/oscar/SleepLib/session.cpp
+index 6fd2e375..6b58424b 100644
+--- a/oscar/SleepLib/session.cpp
++++ b/oscar/SleepLib/session.cpp
+@@ -1145,7 +1145,7 @@ void Session::updateCountSummary(ChannelID code)
+ if ( ! ch_p->isNull() ) {
+ if ( (ch_p->type() & FLAG) == FLAG )
+ return;
+- qDebug() << "No valuesummary for channel " << ch_p->label();
++ qDebug() << "No valuesummary for channel " << ch_p->label();
+ }
+ qDebug() << "No valuesummary for channel (hex)" << QString::number(code, 16);
+ return;